import { useEffect, useState } from "react";

type Todo = {
  id: number;
  title: string;
  description: string;
  completed: boolean;
};

function setCompleted(todo: Todo) {}

function App() {
  const [todos, setTodos] = useState<Todo[]>([]);

  useEffect(() => {
    fetch("http://localhost:8000/api/todo")
      .then((res) => res.json())
      .then((data) => setTodos(data));
  }, []);
  return (
    <div className="container mx-auto flex flex-col items-center justify-center h-screen gap-4">
      {todos.map((todo) => (
        <div className="shadow-sm border rounded-sm p-4" key={todo.id}>
          <p>{todo.title}</p>
          <p>{todo.description}</p>
          {todo.completed && <p>Completed</p>}
          <button>Complete</button>
        </div>
      ))}
    </div>
  );
}

export default App;
